/* Variables */
:root {
  --gray-offset: rgba(0, 0, 0, 0.03);
  --gray-border: rgba(0, 0, 0, 0.15);
  --gray-light: rgba(0, 0, 0, 0.4);
  --gray-mid: rgba(0, 0, 0, 0.7);
  --gray-dark: rgba(0, 0, 0, 0.9);
  --dark: rgba(0, 0, 0, 1);
  --body-color: var(--gray-mid);
  --headline-color: var(--gray-mid);
  --accent-color: #2e74cd;
  --body-font-family: 'Montserrat', sans-serif;
  --radius: 3px;
  --logo-image: url("/images/iconohp-250.png");
  --form-width: 1200px;
}

/* Base */
* {
  box-sizing: border-box;
}
body {
  font-family: var(--body-font-family);
  font-size: 16px;
  color: var(--body-color);
  -webkit-font-smoothing: antialiased;
}
h1,
h2,
h3,
h4,
h5,
h6 {
  color: var(--dark);
  margin-top: 2px;
  margin-bottom: 4px;
}
h1 {
  font-size: 22px;
  color: var(--dark:);
	text-align:center;
	font-family:var(--body-font-family);
}

h2 {
  font-size: 18px;
  color: var(--dark:);
	text-align:center;
	font-family:var(--body-font-family);
	font-weight:400;
}
h3 {
  font-size: 16px;
  color: var(--dark:);
	text-align:center;
	font-family:var(--body-font-family);
}
h4 {
  font-weight: 500;
  font-size: 14px;
  color: var(--dark);
	text-align:center;
	font-family:var(--body-font-family);
}

/* Layout */
.logo{
	margin-bottom:25px;
}
.logo img{
	width:220px;
	border:5px solid #fff;
	text-align:center;
	display:block;
	margin:0 auto;
}
.sr-root {
  display: flex;
  flex-direction: row;
  width: 100%;
  padding: 0 48px;
  align-content: center;
  justify-content: center;
  height: auto;
  margin: 0 auto;
}
article{
height:100vh
align-items:center;}
.sr-header {
  margin-bottom: 32px;
	
}
.sr-payment-summary {
  margin-bottom: 20px;
}
.sr-main,
.sr-content {
  display: flex;
  flex-direction: column;
  justify-content: center;
  height: 100%;
  align-self: center;
}
.sr-main {
  width: var(--form-width);
	height:90vh
}
.sr-content {
  padding-left: 48px;
}
.sr-header__logo {
  background-image: var(--logo-image);
  height: 50px;
  background-size: contain;
  background-repeat: no-repeat;
  width: 100%;
}
.sr-legal-text {
  color: var(--gray-light);
  text-align: center;
  font-size: 13px;
  line-height: 17px;
  margin-top: 12px;
}
.sr-field-error {
  color: var(--accent-color);
  text-align: left;
  font-size: 13px;
  line-height: 17px;
  margin-top: 12px;
}

/* Form */
.sr-form-row {
  margin: 16px 0;
}
label {
  font-size: 13px;
  font-weight: 500;
  margin-bottom: 8px;
  display: inline-block;
}

/* Inputs */
.sr-input,
.sr-select,
input[type="text"],
input[type="number"] {
	border:none;
  border-radius: var(--radius);
  padding: 5px 12px;
  height: 24px;
  width: 90%;
	box-shadow:0 0 5px var(--gray-light);
  transition: box-shadow 0.2s ease;
  background: white;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  color: #000;
	font-size:14px;
	padding:18px 15px;
	font-weight:400;
}
.sr-input:focus,
input[type="text"]:focus,
button:focus,
.focused {
  box-shadow: 0 0 0 1px rgba(50, 151, 211, 0.3), 0 1px 1px 0 rgba(0, 0, 0, 0.07),
    0 0 0 4px rgba(50, 151, 211, 0.3);
  outline: none;
  z-index: 9;
}
.sr-input::placeholder,
input[type="text"]::placeholder,
input[type="number"]::placeholder {
  color: #000;
}

#currency_type{
border:none;
	box-shadow:0 0 5px var(--gray-light);
font-size:16px;
	margin-left:5px;
border-radius: var(--radius);}
#currency_type option{font-size:18px;}
/* Checkbox */
.sr-checkbox-label {
  position: relative;
  cursor: pointer;
}

.sr-checkbox-label input {
  opacity: 0;
  margin-right: 6px;
}

.sr-checkbox-label .sr-checkbox-check {
  position: absolute;
  left: 0;
  height: 16px;
  width: 16px;
  background-color: white;
  border: 1px solid var(--gray-border);
  border-radius: 4px;
  transition: all 0.2s ease;
}
.direccion{

bottom:10px;
color:var(--dark);
font-weight:400;
font-family:var(--body-font-family);
display:block;

	
	width:50%;
	font-size:14px;
	text-align:center;
	align-self: flex-end;
}

.sr-checkbox-label input:focus ~ .sr-checkbox-check {
  box-shadow: 0 0 0 1px rgba(50, 151, 211, 0.3), 0 1px 1px 0 rgba(0, 0, 0, 0.07),
    0 0 0 4px rgba(50, 151, 211, 0.3);
  outline: none;
}

.sr-checkbox-label input:checked ~ .sr-checkbox-check {
  background-color: var(--accent-color);
  background-image: url("https://storage.googleapis.com/stripe-sample-images/icon-checkmark.svg");
  background-repeat: no-repeat;
  background-size: 16px;
  background-position: -1px -1px;
}

/* Select */
.sr-select {
  display: block;
  height: 44px;
  margin: 0;
  background-image: url("https://storage.googleapis.com/stripe-sample-images/icon-chevron-down.svg");
  background-repeat: no-repeat, repeat;
  background-position: right 12px top 50%, 0 0;
  background-size: 0.65em auto, 100%;
}
.sr-select:after {
}
.sr-select::-ms-expand {
  display: none;
}
.sr-select:hover {
  cursor: pointer;
}
.sr-select:focus {
  box-shadow: 0 0 0 1px rgba(50, 151, 211, 0.3), 0 1px 1px 0 rgba(0, 0, 0, 0.07),
    0 0 0 4px rgba(50, 151, 211, 0.3);
  outline: none;
}
.sr-select option {
  font-weight: 400;
}
.sr-select:invalid {
  color: var(--gray-light);
  background-opacity: 0.4;
}

/* Combo inputs */
.sr-combo-inputs {
  display: flex;
  flex-direction: column;
}
.sr-combo-inputs input,
.sr-combo-inputs .sr-select {
  border-radius: 0;
  border-bottom: 0;
}
.sr-combo-inputs > input:first-child,
.sr-combo-inputs > .sr-select:first-child {
  border-radius: var(--radius) var(--radius) 0 0;
}
.sr-combo-inputs > input:last-child,
.sr-combo-inputs > .sr-select:last-child {
  border-radius: 0 0 var(--radius) var(--radius);
  border-bottom: 1px solid var(--gray-border);
}
.sr-combo-inputs > .sr-combo-inputs-row:last-child input:first-child {
  border-radius: 0 0 0 var(--radius);
  border-bottom: 1px solid var(--gray-border);
}
.sr-combo-inputs > .sr-combo-inputs-row:last-child input:last-child {
  border-radius: 0 0 var(--radius) 0;
  border-bottom: 1px solid var(--gray-border);
}
.sr-combo-inputs > .sr-combo-inputs-row:first-child input:first-child {
  border-radius: var(--radius) 0 0 0;
}
.sr-combo-inputs > .sr-combo-inputs-row:first-child input:last-child {
  border-radius: 0 var(--radius) 0 0;
}
.sr-combo-inputs > .sr-combo-inputs-row:first-child input:only-child {
  border-radius: var(--radius) var(--radius) 0 0;
}
.sr-combo-inputs-row {
  width: 100%;
  display: flex;
}

.sr-combo-inputs-row > input {
  width: 100%;
  border-radius: 0;
}

.sr-combo-inputs-row > input:first-child:not(:only-child) {
  border-right: 0;
}

.sr-combo-inputs-row:not(:first-of-type) .sr-input {
  border-radius: 0 0 var(--radius) var(--radius);
}

/* Buttons and links */
button {
  background: var(--accent-color);
  border-radius: var(--radius);
  color: white;
  border: 0;
  padding: 10px 16px;
  margin-top: 16px;
  font-weight: 400;
  cursor: pointer;
  transition: all 0.2s ease;
  display: block;
	width:80%;
}
button:hover {
  filter: contrast(115%);
}
button:active {
  transform: translateY(0px) scale(0.98);
  filter: brightness(0.9);
}
button:disabled {
  opacity: 0.5;
  cursor: none;
}
.success button{
width:100%;}

.sr-payment-form button,
.fullwidth {
  width: 100%;
}


a:hover {
  filter: brightness(0.8);
}

a:active {
  filter: brightness(0.5);
}

/* Code block */
.sr-callout {
  background: var(--gray-offset);
  padding: 12px;
  border-radius: var(--radius);
  max-height: 200px;
  overflow: auto;
}
code,
pre {
  font-family: var(--body-font-family);
  font-size: 16px;
	color: var(--dark);
}

/* Stripe Element placeholder */
.sr-card-element {
  padding-top: 12px;
}

/* Responsiveness */
@media (max-width: 720px) {
  .sr-root {
    min-width: 320px;
	  padding:0 15px;
  }

  .sr-header__logo {
    background-position: center;
  }

  .sr-payment-summary {
    text-align: center;
  }

  .sr-content {
    display: none;
  }

  .sr-main {
    width: 100%;
  }
}

/* Pasha styles – Brand-overrides, can split these out */


/* todo: spinner/processing state, errors, animations */

.spinner,
.spinner:before,
.spinner:after {
  border-radius: 50%;
}
.spinner {
  color: #ffffff;
  font-size: 22px;
  text-indent: -99999px;
  margin: 0px auto;
  position: relative;
  width: 20px;
  height: 20px;
  box-shadow: inset 0 0 0 2px;
  -webkit-transform: translateZ(0);
  -ms-transform: translateZ(0);
  transform: translateZ(0);
}
.spinner:before,
.spinner:after {
  position: absolute;
  content: "";
}
.spinner:before {
  width: 10.4px;
  height: 20.4px;
  background: var(--accent-color);
  border-radius: 20.4px 0 0 20.4px;
  top: -0.2px;
  left: -0.2px;
  -webkit-transform-origin: 10.4px 10.2px;
  transform-origin: 10.4px 10.2px;
  -webkit-animation: loading 2s infinite ease 1.5s;
  animation: loading 2s infinite ease 1.5s;
}
.spinner:after {
  width: 10.4px;
  height: 10.2px;
  background: var(--accent-color);
  border-radius: 0 10.2px 10.2px 0;
  top: -0.1px;
  left: 10.2px;
  -webkit-transform-origin: 0px 10.2px;
  transform-origin: 0px 10.2px;
  -webkit-animation: loading 2s infinite ease;
  animation: loading 2s infinite ease;
}
@-webkit-keyframes loading {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}
@keyframes loading {
  0% {
    -webkit-transform: rotate(0deg);
    transform: rotate(0deg);
  }
  100% {
    -webkit-transform: rotate(360deg);
    transform: rotate(360deg);
  }
}

/* Custom */

.canceled #error-message{
	color: #fff;
    background-color: rgb(252 64 64);
    text-align: center;
    font-family: var(--body-font-family);
    margin-bottom: 25px;
    padding: 10px 25px;
    border-radius: 5px;
    box-shadow: 0 0 5px rgb(252 64 64);
}
.image-wrap{
	width:50%;
}
.tarjetas{
	width:250px;
	margin-right: 0;
    margin-left: auto;
    display: block;
}
.container-left, .container-right, .divider {
	display:inline-block;
	vertical-align:middle !important;
	background-color:#fff;
	
	justify-content: center;
	vertical-align:middle
}
.container-footer{
	height:10vh;
	display:flex;
	flex-direction:row;
	align-items:flex-end;
	flex-grow:1;
}
.container-left {
	padding: 32px 28px;
	width:47%;
	margin-right:4%;
}
.container-right {
  padding: 32px 28px;
  width: 47%;
}
.divider{
background-color: #f6f6f6;
height:100vh;
width:4%;
}
@media (max-width:866px){

	.container-left, .container-right {
		display:block;
		vertical-align:middle !important;
		background-color:#fff;
		margin:0 auto;
		padding:0 15px;
		width:80%;
	}
	.divider {
		display:none;
	}
	
	.sr-main {
		max-width: 866px;
	}
	.direccion{	
		text-align:center;
		width:100%;
		left:10%;
		flex-grow: 1;
	}
	.tarjetas{
		margin:0 auto;
		text-align:center;
	}
	.image-wrap{
		width:100%;
	}
	
	button{
	width:100%;}
	
.container-footer{
	flex-direction:column-reverse}
}
.container .pasha-image-stack {
  margin-top: 20px;
}

.container:first-of-type {
  margin-right: 20px;
}

.quantity-setter {
  display: flex;
  justify-content: center;
  margin-top: 20px;
}

.quantity-setter .increment-btn {
  margin-top: 0;
  border-radius: 0;
  border: 1px solid var(--accent-color);
}

input[type="number"]::-webkit-inner-spin-button,
input[type="number"]::-webkit-outer-spin-button {
  -webkit-appearance: none;
  margin: 0;
}

/* Animated form */

.sr-root {
  animation: 0.4s form-in;
  animation-fill-mode: both;
  animation-timing-function: ease;
}

.sr-payment-form .sr-form-row {
  animation: 0.4s field-in;
  animation-fill-mode: both;
  animation-timing-function: ease;
  transform-origin: 50% 0%;
}

/* need saas for loop :D  */
.sr-payment-form .sr-form-row:nth-child(1) {
  animation-delay: 0;
}
.sr-payment-form .sr-form-row:nth-child(2) {
  animation-delay: 60ms;
}
.sr-payment-form .sr-form-row:nth-child(3) {
  animation-delay: 120ms;
}
.sr-payment-form .sr-form-row:nth-child(4) {
  animation-delay: 180ms;
}
.sr-payment-form .sr-form-row:nth-child(5) {
  animation-delay: 240ms;
}
.sr-payment-form .sr-form-row:nth-child(6) {
  animation-delay: 300ms;
}
.hidden {
  display: none;
}

@keyframes field-in {
  0% {
    opacity: 0;
    transform: translateY(8px) scale(0.95);
  }
  100% {
    opacity: 1;
    transform: translateY(0px) scale(1);
  }
}

@keyframes form-in {
  0% {
    opacity: 0;
    transform: scale(0.98);
  }
  100% {
    opacity: 1;
    transform: scale(1);
  }
}


.volver_wrap{
    padding: 25px;
    text-align: left;
    margin-top: 25px;
    top: 0;
    float: left !important;
    top: 0;
    position: absolute;
    left: 0;	
}

.volver_wrap a{color: var(--dark) !important;
text-decoration: none !important;
  	transition: all 0.2s ease;}